Whichresource Task Find a class or resource on the supplied classpath, or the system classpath if none is supplied. |

Description

> Find a class or resource on the supplied classpath, or the system classpath if none is supplied. The named property is set if the item can be found. For example

>      <whichresource resource="/log4j.properties" property="log4j.url" >

Parameters

> Attribute | Description | Type | Requirement
> property | the property to fill with the URL of the resource or class | String | Required
> class | name the class to look for | String | Exactly one of these two
> resource | name the resource to look for | String
> classpath | Set the classpath to be used for this compilation. | Path | Optional

Parameters as nested elements

> classpath (org.apache.tools.ant.types.Path)

> > Adds a path to the classpath.

Copyright © 2000-2003, Apache Software Foundation